com.holonplatform.core.datastore.transaction

## Class TransactionStatus.IllegalTransactionStatusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.core.datastore.transaction.TransactionStatus.TransactionException
        - - com.holonplatform.core.datastore.transaction.TransactionStatus.IllegalTransactionStatusException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    TransactionStatus

      public static class TransactionStatus.IllegalTransactionStatusException
      extends TransactionStatus.TransactionException

  Exception thrown when an operation is performed on a transaction but the transaction is in an illegal status according to the transaction semantics.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalTransactionStatusException(String message)` Constructor with error message.
    `IllegalTransactionStatusException(String message, Throwable cause)` Constructor with error message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalTransactionStatusException

          public IllegalTransactionStatusException(String message)

      Constructor with error message.
      Parameters:
        `message` - Error message

    - #### IllegalTransactionStatusException

          public IllegalTransactionStatusException(String message,
                                                   Throwable cause)

      Constructor with error message and nested exception.
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.